// Copyright 2019  github.com. All rights reserved.
// Use of this source code is governed by  github.com.
package camera

import (
	"context"
	"github.com/jaryhe/gopkgs/database"
	"github.com/jaryhe/gopkgs/logger"
	"go.uber.org/zap"
	"smart-site-management/errors"
	"smart-site-management/model"
	"smart-site-management/pb/v1"
)

func DeviceUnbindCamera(ctx context.Context, req *v1.DeviceUnbindCameraRequest) (reply *v1.DeviceUnbindCameraReply, err error) {
	reply  = &v1.DeviceUnbindCameraReply{}
	if req.DeviceId < 1  {
		return nil, errors.ParamsError
	}
	p := model.TDevice{}
	where := map[string]interface{}{
		"id":req.DeviceId,
	}

	err = p.Find(database.DB(), where)
	if err != nil  {
		logger.Error("DeviceUnbindCamera",
			zap.String("err", err.Error()))
		return nil, errors.DataBaseError
	}
	if p.Id == 0 {
		return nil, errors.NoRecordError
	}

	values := map[string]interface{}{
		"vss_channel_id":0,
	}
	err = p.Update(database.DB(), where, values)
	if err != nil {
		logger.Error("DeviceUnbindCamera",
			zap.String("err", err.Error()))
		return nil, errors.DataBaseError
	}
	return reply, nil
}
