
package tower

import (
	"context"
	"github.com/jaryhe/gopkgs/database"
	"smart-site-management/errors"
	"smart-site-management/model"
	"smart-site-management/pb/v1"
)

// iot 设备列表
func IotTypeList(ctx context.Context, req *v1.IotTypeListRequest)(reply *v1.IotTypeListReply, err error) {

	if req.ProjectId == 0 {
		return nil, errors.ParamsError
	}
	// 总数
	reply = &v1.IotTypeListReply{}
	list, err := model.IotTypeList(database.DB(), req.ProjectId, []int32{model.DeviceTypeTower, model.DeviceTypeHighFramework, model.DeviceTypeWireless, model.DeviceTypeUnloading})

	reply.List = make([]*v1.IotTypeListItem, len(list))
	for i, v := range list {
		item := &v1.IotTypeListItem{
			Id:v.Id,
			TypeCode:v.Code,
			TypeName:v.Name,
		}
		reply.List[i] = item
	}

	return reply, nil
}
